from django.conf.urls import url, include
from mentorship.views import admin as men_admin
import mentorship.views as mv
import trunk.views.export as trunk_export

urlpatterns = [
    #dashboard views
    url(r'^dashboard$', men_admin.manage_metrics,
        name='uni-manage-metrics'),
    url(r'^dashboard/cal-preview$', men_admin.dash_cal, name="uni-dash-cal"),
    url(r'^dashboard/pending-mentorships-table$', men_admin.get_pending_connection_table,
        name='uni-pending-mentorships-table'),
    url(r'^dashboard/pending-meetings-table$', men_admin.get_pending_meeting_table,
        name='uni-pending-meetings-table'),
    url(r'^dashboard/manage-mentorships-table$', men_admin.get_manage_mentors_table,
        name='uni-manage-mentorships-table'),
    url(r'^dashboard/export$', trunk_export.MentorshipExportRequest.as_view(), name='uni-export-mentorship'),
    url(r'^dashboard/team-export$', trunk_export.TeamMentorshipExportRequest.as_view(), name='uni-export-team-mentorship'),
    url(r'^customize_emails$', men_admin.CustomizeMentorshipEmails.as_view(), name='uni-customize-mentorship-emails'),
    url(r'^preview_custom_emails/(?P<email_type>[-@\w]+)$', men_admin.email_preview, name='uni-preview-mentorship-emails'),

    # mentorship (for views, look at mentorship app)
    url(r'^mentorship$', men_admin.dashboard, name='uni-dashboard-mentors'),
    url(r'^manage$', men_admin.manage_mentors,
        name='uni-manage-mentors'),

    # team mentorship dashboard views
    url(r'^team/dashboard$', men_admin.team_manage_metrics,
        name='uni-team-manage-metrics'),
    url(r'^team/dashboard/metrics$', men_admin.get_team_mentorship_metrics,
        name='uni-team-mentorship-metrics'),
    url(r'^team/dashboard/manage-mentorships-table$', men_admin.get_manage_mentors_table,
        name='uni-team-manage-mentorships-table', kwargs={'team_mentoring': True}),

    url(r'^team/dashboard/chart$', men_admin.get_team_mentorship_chart,
        name='uni-team-mentorship-chart'),
    url(r'^team/sessions$', men_admin.view_list, kwargs={'is_team': True},
        name='uni-team-session-list'),

    # NEW URL FOR TEAM MENTORSHIP MANAGEMENT
    url(r'^team$', men_admin.manage_mentors, {'team': True},
        name='uni-manage-team-mentors'),
    url(r'^team/overview/(?P<url_name>[-@\w]+)$', men_admin.admin_team_overview,
        name='uni-admin-team-overview'),
    url(r'^team/new_meeting/select_team/(?P<mentor_id>[-@\w]+)$',
        men_admin.admin_new_team_meeting,
        name='uni-new-team-meeting'),
    url(r'^team/new_meeting/additional_mentors$',
        men_admin.admin_new_team_meeting_addtl_mentors,
        name='uni-new-team-meeting-addtl-mentors'),
    url(r'^team/new_meeting/select_time$',
        men_admin.admin_new_team_meeting_select_time,
        name='uni-new-team-meeting-select-time'),
    url(r'^team/new_meeting/review_meeting$',
        men_admin.admin_new_team_meeting_review_meeting,
        name='uni-new-team-meeting-review-meeting'),
    url(r'^manage/team_table$', men_admin.get_mentor_table, {'team': 'true'},
        name='uni-manage-team-mentors-table'),
    url(r'^manage/team_ventures_table$', men_admin.get_team_ventures_table,
        name='uni-manage-team-ventures-table'),
    url(r'^manage/(?P<mentor_id>[0-9]+)$', mv.mentorship_setting, name='uni-manage-mentors'),
    url(r'^manage/table$', men_admin.get_mentor_table, name='uni-manage-mentors-table'),
    url(r'^manage/new_meeting/select_mentee/(?P<mentor_id>[-@\w]+)$', men_admin.admin_new_meeting, name='uni-new-meeting'),
    url(r'^manage/new_meeting/select_time$', men_admin.admin_new_meeting_select_time, name='uni-new-meeting-select-time'),
    url(r'^manage/new_meeting/review_meeting$', men_admin.admin_new_meeting_review_meeting, name='uni-new-meeting-review-meeting'),
    url(r'^approval/',
        include([
            url(r'^connections$',
                men_admin.mentorship_approval,
                name='uni-mentorship-approval'),
            url(r'^connections/(?P<req_id>[0-9]+)$',
                men_admin.mentorship_approval,
                name='uni-mentorship-approval-view'),
            url(r'^meetings$',
                men_admin.meeting_approval,
                name='uni-meeting-approval'),
            url(r'^meetings/(?P<req_id>[0-9]+)$',
                men_admin.meeting_approval,
                name='uni-meeting-approval-view'),
        ])),
    url(r'^approve_mentorship$', men_admin.decide_mentorship_request,
        name="uni-mentorship-decide"),
    url(r'^approve_meeting$', men_admin.decide_meeting_request,
        name="uni-meeting-decide"),
    url(r'^activities$', men_admin.manage_activities,
        name="uni-mentorship-activities"),
    url(r'^activities/(?P<activity_id>[0-9]+)$', men_admin.manage_activities_detail,
        name="uni-mentorship-activities"),
    url(r'^activities/send_all_post_meeting_reminders$', men_admin.send_all_post_meeting_reminders,
        name="send-all-post-meeting-reminders"),
    url(r'^activities/send_post_meeting_reminder$', men_admin.send_post_meeting_reminder,
        name="send-post-meeting-reminder"),
    url(r'^recent_team_activity$', men_admin.get_recent_team_activity_full,
        name='uni-recent-team-activity-full'),
    url(r'^team/activities$', men_admin.manage_activities,
        name='uni-recent-team-activity-full-all', kwargs={'is_team': True}),
    url(r'^team/activities/(?P<activity_id>[0-9]+)$', men_admin.manage_activities_detail,
        name='uni-team-mentorship-activities', kwargs={'is_team': True}),
    url(r'^mentor_list/$', men_admin.view_list,
        name="uni-mentorship-list"),
    url(r'^get-all-times/(?P<page>-?[0-9]+)$', men_admin.view_list, name='get_all_mentor_times'),
    url(r'^export_calendar$', men_admin.export_calendar, name="uni-export-mentorship-calendar"),
    url(r'^session/detail$', men_admin.get_session_detail,
        name="uni-sessions-details"),
    url(r'^team_mentorship_landing$', men_admin.TeamLandingEdit.as_view(), name='admin-edit-team-landing')
]
